org.apache.olingo.odata2.api.edm.provider

## Class ReferentialConstraintRole

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.ReferentialConstraintRole

-     public class ReferentialConstraintRole
      extends Object

  Objects of this Class represent a referential constraint role

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferentialConstraintRole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `List<PropertyRef>` | `getPropertyRefs()`
    `String` | `getRole()`
    `ReferentialConstraintRole` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `ReferentialConstraintRole`
    `ReferentialConstraintRole` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `ReferentialConstraintRole`
    `ReferentialConstraintRole` | `setPropertyRefs(List<PropertyRef> propertyRef)` Sets the `PropertyRef`s of this `ReferentialConstraintRole`
    `ReferentialConstraintRole` | `setRole(String role)` Sets the role of this `ReferentialConstraintRole`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferentialConstraintRole

          public ReferentialConstraintRole()

  - ### Method Detail

    - #### getRole

          public String getRole()

      Returns:
        String role of this `ReferentialConstraintRole`

    - #### getPropertyRefs

          public List<PropertyRef> getPropertyRefs()

      Returns:
        List<`PropertyRef`> for this `ReferentialConstraintRole`

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        List of `AnnotationElement` annotation elements

    - #### setRole

          public ReferentialConstraintRole setRole(String role)

      Sets the role of this `ReferentialConstraintRole`
      Parameters:
        `role` -
      Returns:
        `ReferentialConstraintRole` for method chaining

    - #### setPropertyRefs

          public ReferentialConstraintRole setPropertyRefs(List<PropertyRef> propertyRef)

      Sets the `PropertyRef`s of this `ReferentialConstraintRole`
      Parameters:
        `propertyRef` -
      Returns:
        `ReferentialConstraintRole` for method chaining

    - #### setAnnotationAttributes

          public ReferentialConstraintRole setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the List of `AnnotationAttribute` for this `ReferentialConstraintRole`
      Parameters:
        `annotationAttributes` -
      Returns:
        `ReferentialConstraintRole` for method chaining

    - #### setAnnotationElements

          public ReferentialConstraintRole setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the List of `AnnotationElement` for this `ReferentialConstraintRole`
      Parameters:
        `annotationElements` -
      Returns:
        `ReferentialConstraintRole` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.